// SPDX-License-Identifier: Apache-2.0
import { createFixture } from "../config";
import { HederaIdPropsFixture } from "../shared/DataFixture";
export const BatchTransferRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amountList.as(() => [BigInt(1)]);
    request.toList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchForcedTransferRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amountList.as(() => [BigInt(1)]);
    request.toList.as(() => [HederaIdPropsFixture.create().value]);
    request.fromList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchMintRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amountList.as(() => [BigInt(1)]);
    request.toList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchBurnRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.targetList.as(() => [HederaIdPropsFixture.create().value]);
    request.amountList.as(() => [BigInt(1)]);
});
export const BatchSetAddressFrozenRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.targetList.as(() => [HederaIdPropsFixture.create().value]);
    request.freezeList.as(() => [true]);
});
export const BatchFreezePartialTokensRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amountList.as(() => [BigInt(1)]);
    request.targetList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchUnfreezePartialTokensRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.amountList.as(() => [BigInt(1)]);
    request.targetList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchTransferCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amountList.as(() => [BigInt(1)]);
    command.toList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchMintCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amountList.as(() => [BigInt(1)]);
    command.toList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchBurnCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amountList.as(() => [BigInt(1)]);
    command.targetList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchSetAddressFrozenCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.freezeStatusList.as(() => [HederaIdPropsFixture.create().value]);
    command.targetList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchFreezePartialTokensCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amountList.as(() => [BigInt(1)]);
    command.targetList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchForcedTransferCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amountList.as(() => [BigInt(1)]);
    command.fromList.as(() => [HederaIdPropsFixture.create().value]);
    command.toList.as(() => [HederaIdPropsFixture.create().value]);
});
export const BatchUnfreezePartialTokensCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.amountList.as(() => [BigInt(1)]);
    command.targetList.as(() => [HederaIdPropsFixture.create().value]);
});
